# Rundeck role changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [6.2.0] - 2021-01-04
### Added
* Variable `rundeck_behind_reverse_proxy` to role API. (#63)

### Changed
* *ansible-roles/docker* updated to 4.4.1. (#62)
* *ansible-roles/service* updated to 1.6.1. (#62)
* *docker/pipeline-worker* updated to 20.12-python2. (#62)
* *docker/rundeck* updated to 3.3.7. (#62)
* *python2/ansible* updated to 2.9.15. (#62)

### Fixed
* Login to Rundeck in Chrome web browser. (#63)
* Version pattern for `docker/sameersbn/postgresql` in autoupdater configuration file. (#64)

## [6.1.0] - 2020-04-22
### Added
* Autoupdater check configuration job to CI. (#50)
* Possibility to authenticate Rundeck users with external LDAP server. (#20)

### Changed
* *docker/rundeck* updated to 3.2.5. (#50)
* *ansible-roles/docker* updated to 4.1.1. (#50)

## [6.0.0] - 2020-02-17
### Changed
* Adjust role to new code standards. (#57)
* License year to 2020. (#54)
* Simplify API for defining jobs in `rundeck_project` variable. (#54)
* *ansible-roles/docker* updated to 4.1.0. (#54)
* *docker/rundeck* updated to 3.2.2. (#54)
* *docker/sameersbn/postgresql* updated to 10-2. (#54)
* Enable webhooks API for Rundeck. (#51)
* Rundeck rest API version to 34. (#51)
* *docker/rundeck* updated to 3.2.0. (#51)
* *docker/pipeline-worker* updated to 19.12. (#51)
* *python2/ansible* updated to 2.9.2. (#51)

### Removed
* `.gitignore` file. (#57)

## [5.2.0] - 2019-12-16
### Added
* Option for defining job time zone. (#52)
* File for autoupdater. (#21)
* `requirements.txt` with python2 package dependencies. (#21)
* `tests/galaxy-requirements.yml` file with external ansible role dependencies. (#21)

## [5.1.0] - 2019-04-02
### Changed
* Rundeck rest API version to 30. (#48)
* *rundeck* updated to 3.0.19. (#48)
* *pipeline-worker* updated to 19.03. (#48)
* *ansible* updated to 2.7.9. (#48)

### Fixed
* Plugins do not replace old jars. (#47)

## [5.0.0] - 2019-01-31
### Added
* Possibility to download and configure Rundeck extra plugins. (#45)

### Changed
* *pipeline-worker* CI container to 19.01-1. (#45)
* *rundeck* container to 3.0.13. (#45)
* *ansible* to 2.7.6. (#45)
* Rundeck rest API version to 29. (#45)

### Removed
* Installing by default notification plugin. (#45)

## [4.4.0] - 2018-10-25
### Added
* Option for disabling job scheduling. (#42)

### Fix
* Deleting not defined jobs. (#44)

## [4.3.0] - 2018-10-22
### Changed
* Ansible updated to 2.7.0. (#40)
* Upgraded rundeck version to 3.0.7. (#40)
* `pipeline-worker` CI container to 18.10. (#40)

## [4.2.1] - 2018-10-10
### Fixed
* Rundeck container version. (#37)

## [4.2.0] - 2018-09-28
### Changed
* Upgraded rundeck version to 3.0.6. (#35)
* `pipeline-worker` CI container to 18.08-1. (#35)

## [4.1.0] - 2018-08-22
### Changed
* Ansible updated to 2.6.3. (#33)
* Configure project settings in idempotent way. (#33)
* Upgrade PostgreSQL container to version 10. (#32)
* Upgraded rundeck version to 3.0.1. (#31)
* Ansible updated to 2.6.2. (#31)

## [4.0.0] - 2018-06-26
### Changed
* Simplify API to resolve problem with lookups. (#29)

### Removed
* `job-wrapper.sh` template. (#29)

## [3.0.0] - 2018-06-22
### Added
* Rocket.Chat notification plugin. (#24)

### Changed
* Upgraded rundeck version to 2.11.4. (#26)
* Upgraded rundeck version to 2.11.3. (#22)
* Storage provider changed to database. (#22)
* Project storage provider changed to database. (#22)
* Ansible updated to 2.5.5. (#22)
* Log directory to `"/var/log"`. (#22)

### Removed
* Option `"rundeck_data_path"` from API. (#27)
* Option to enable/disable https. (#23)
* Ubuntu support. (#23)

## [2.0.1] - 2017-05-22
### Changed
* Rename files in role. (#18)

## [2.0.0] - 2017-05-16
### Added
* Option to specify storage provider. (#4)

### Changed
* Rundeck container to custom [containers/rundeck](https://projects.task.gda.pl/containers/rundeck)
image. (#16)
* Separated the *nodes* action from the *projects* action. (#12)
* Unify rundeck role API. (#10)
* Upgraded rundeck version to 2.7.3. (#9)

### Fixed
* Using wrong variable with URL address to Rundeck. (#13)
* Description of role API. (#8)
* Postgresql does not store data in mounted volume. (#5)
* Storing data in database instead of filesystem. (#4)

### Removed
* Action for adding Rundeck nodes ([Rundeck Manager](https://projects.task.gda.pl/containers/rundeck-manager)
 should be used instead). (#16)

## 1.0.0 - 2017-03-01
### Added
* Initial release. (#1)

[Unreleased]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/6.2.0...master
[6.2.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/6.1.0...6.2.0
[6.1.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/6.0.0...6.1.0
[6.0.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/5.2.0...6.0.0
[5.2.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/5.1.0...5.2.0
[5.1.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/5.0.0...5.1.0
[5.0.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/4.4.0...5.0.0
[4.4.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/4.3.0...4.4.0
[4.3.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/4.2.1...4.3.0
[4.2.1]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/4.2.0...4.2.1
[4.2.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/4.1.0...4.2.0
[4.1.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/4.0.0...4.1.0
[4.0.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/3.0.0...4.0.0
[3.0.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/2.0.1...3.0.0
[2.0.1]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/2.0.0...2.0.1
[2.0.0]: https://projects.task.gda.pl/ansible-roles/rundeck/compare/1.0.0...2.0.0
